from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XDataReceiver(XInterface, Protocol):
    def attachDataProvider(self, xProvider: XDataProvider) -> None: ...
    def getUsedRangeRepresentations(self) -> list[str]: ...
    def getUsedData(self) -> XDataSource: ...
    def attachNumberFormatsSupplier(self, xSupplier: XNumberFormatsSupplier) -> None: ...
    def getRangeHighlighter(self) -> XRangeHighlighter: ...
    def getPopupRequest(self) -> XRequestCallback: ...
